DataCubeControllerDiscoverColumns Method

POST /DataCube/DiscoverColumns/{id} Refreshes the elements of the specified transform on a data cube.

Namespace:  Dundas.BI.WebApi.Controllers
Assembly:  Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax
[HttpPostAttribute]
[ActionNameAttribute("DiscoverColumns")]
public IActionResult DiscoverColumns(
	Guid id,
	[FromBodyAttribute] DiscoverColumnsOptions discoverOptions,
	Guid? sessionId = null
)

Parameters

id
Type: SystemGuid
The ID of the data cube to update the transform on.
discoverOptions
Type: Dundas.BI.WebApi.ModelsDiscoverColumnsOptions
The options containing the details for the discovery of columns.
sessionId (Optional)
Type: SystemNullableGuid
Current session ID.

Return Value

Type: IActionResult
A FlattenMappingsInfoData object containing the mapping data, or a status code indicating the problem.
See Also